Use this REST API call to send a request to create or override an existing plug-and-play device group.
POST request URL
https://<epo_server_name:port>/rest/dlp/definitions/pnpDevice/importGroup
Where, epo_server_name:port is the server IP address and port number.
Request Parameters
Request Parameters
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required |
Parameter name | Description | Required | Values |
|---|---|---|---|
override | If true: overrides the existing definition. If false: If the definition name exists, the operation fails. | Required | Boolean |
name | The definition name or name of group, if the definition does not exist a new definition will be created. | Required | String |
description | Description of the definition | Required | String |
appliesTo | Defines the operating system on which this device template can be used. Values are:
| Required | String |
body | CSV file containing records to be imported. Records must have the column name | Required | File |
Sample POST request URL
https://172.27.108.53:8443/rest/dlp/definitions/pnpDevice/importGroup
Sample cURL command
curl -k -v -X POST 'https://172.27.108.53:8443/rest/dlp/definitions/pnpDevice/importGroup' -u '<user>:<password>' -F 'override="false"' -F 'body=@"/path/to/file/DlpImportGroupSample.csv"' -F 'override="true"' -F 'appliesTo="WIN"' -F description="The description "'
Sample response
Import completed
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | The response returns a string. |
400 Bad Request | Returns a bad request if:
|
404 Not Found | Incorrect ePO - On-prem URL. |
500 Internal Server Error | An error on the server side that failed the request. See the ePO - On-prem |